SUPYBOT(1)

NAME
supybot - A robust and user friendly Python IRC bot

SYNOPSIS
supybot [options] configFile

DESCRIPTION
Supybot is a robust, user-friendly, and programmer-friendly Python IRC bot. It aims to be an adequate replacement for most existing IRC bots. It includes a very flexible and powerful ACL system for controlling access to commands, as well as more than 50 builtin plugins providing around 400 actual commands.

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-P, --profile
    Enable profiling.

-n NICK, --nick=NICK
    Nick the bot should use.

-u USER, --user=USER
    Full username the bot should use.

-i IDENT, --ident=IDENT
    Ident the bot should use.

-d, --daemon
    Determines whether the bot will daemonize. This is a no-op on non-POSIX systems.

--allow-default-owner
    Determines whether the bot will allow its defaultCapabilities not to include "-owner", thus giving all users the owner capability by default. This is dumb, hence we require a command-line option to enable it.

--allow-root
    Determines whether the bot will be allowed to run as root. You do not want this. Do not do it. Even if you think you want it, you do not.

--debug
    Determines whether some extra debugging stuff will be logged by this script.

SEE ALSO
python(1), supybot-test(1), supybot-botchk(1), supybot-wizard(1), supybot-adduser(1), supybot-plugin-doc(1), supybot-plugin-create(1)

AUTHOR
This manual page was originally written by James Vega <jamessan at supybot dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Supybot license, a BSD-style license.